# Add_Attribute_To_Certificate

Associate an attribute to a certificate.

`PUT /v2/certificates/{id}/attributes`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Certificates
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Certificates/Add_Attribute_To_Certificate/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the certificate object. |
| `attributes` | array | query | Yes | Need to pass in the attribute id that you want to associate with your certificate. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/certificates/{id}/attributes" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```